package com.dev.swms.client.ui.page;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * 
 * @author  dev
 * @description 
 * 
 */

public class CustomEntity implements IsSerializable {
	
	
	protected Long id;
	
	protected Long companyId;
	
	protected Long billTypeId;
	
	protected String name;
	
	/**
	 * 区别该对象是声明对象:1:客户,2:订单类型
	 */
	protected int type=0;
	
	protected double randomNum = .0;//取一个随机数,避免不同节点上的userObject相同

	public double getRandomNum() {
		return randomNum;
	}

	public void setRandomNum(double randomNum) {
		this.randomNum = randomNum;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public Long getBillTypeId() {
		return billTypeId;
	}

	public void setBillTypeId(Long billTypeId) {
		this.billTypeId = billTypeId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}
	
}


